Subject: Re: [PATCH net-next v5 1/2] net: hsr: require valid EOT supervision TLV

From: Jakub Kicinski <[email-masked]>
Date: Sun, 12 Apr 2026 14:13:31 -0700

On Sun, 12 Apr 2026 22:46:48 +0200 Luka Gejak wrote:
> On April 12, 2026 10:31:57 PM GMT+02:00, Jakub Kicinski <[email-masked]> wrote:
> >On Sun, 12 Apr 2026 22:13:35 +0200 Luka Gejak wrote:  
> >> Regarding the TLV loop: I actually implemented a TLV walker in v4 [1] 
> >> for this exact reason, but I moved to strict sequential parsing in v5 
> >> based on reviewer's feedback to keep the implementation simple. Could 
> >> you please check if the approach used in v4 is what you had in mind? 
> >> If so, I will rebase that logic onto the memory safety fixes 
> >> (pskb_may_pull) from v5 and submit it as v6.  
> >
> >That's not really what I had in mind. I was thinking of a loop which
> >just skips the TLVs in order, leaving the parsing of known TLVs as is.
> >But I've never used HSR maybe this sort of strict validation is somehow
> >okay in HSR deployments.
> >
> >Please just undo the comment tweaks then.  
> 
> So keep other changes as is and only undo comment changes?

Yes, how is that not clear from my previous message? :|